# Obter verificação de monitor (/pt-BR/api-reference/endpoint/monitor-check-get)

<!-- agent-signals: reading_time_min: 4 · est_tokens: 3462 · updated: 2026-07-30 -->
Related: [Pesquisa](/pt-BR/api-reference/endpoint/search.md), [Feedback de busca](/pt-BR/api-reference/endpoint/search-feedback.md), [Raspar](/pt-BR/api-reference/endpoint/scrape.md), [Raspar em lote](/pt-BR/api-reference/endpoint/batch-scrape.md), [Obter status do scrape em lote](/pt-BR/api-reference/endpoint/batch-scrape-get.md), [Cancelar raspagem em lote](/pt-BR/api-reference/endpoint/batch-scrape-delete.md)



`GET /monitor/{monitorId}/checks/{checkId}`

Obter uma verificação de monitor

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "O ID do monitor",
      "in": "path",
      "name": "monitorId",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "description": "O ID da verificação de monitor",
      "in": "path",
      "name": "checkId",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    },
    {
      "in": "query",
      "name": "limit",
      "schema": {
        "default": 25,
        "maximum": 100,
        "minimum": 1,
        "type": "integer"
      }
    },
    {
      "description": "Número de resultados a ignorar na página. Use a URL `next` da resposta anterior para paginação.",
      "in": "query",
      "name": "skip",
      "schema": {
        "default": 0,
        "minimum": 0,
        "type": "integer"
      }
    },
    {
      "in": "query",
      "name": "status",
      "schema": {
        "enum": [
          "same",
          "new",
          "changed",
          "removed",
          "error"
        ],
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "data": {
                "allOf": [
                  {
                    "properties": {
                      "actualCredits": {
                        "description": "Créditos finais cobrados por esta verificação após a conclusão de scrapings, rastreamentos e quaisquer chamadas de avaliação de páginas alteradas.",
                        "nullable": true,
                        "type": "integer"
                      },
                      "billingStatus": {
                        "type": "string"
                      },
                      "createdAt": {
                        "format": "date-time",
                        "type": "string"
                      },
                      "error": {
                        "nullable": true,
                        "type": "string"
                      },
                      "estimatedCredits": {
                        "description": "Limite máximo de créditos reservados para esta verificação antes de o Firecrawl saber quantas páginas mudaram e exigem avaliação.",
                        "nullable": true,
                        "type": "integer"
                      },
                      "finishedAt": {
                        "format": "date-time",
                        "nullable": true,
                        "type": "string"
                      },
                      "id": {
                        "format": "uuid",
                        "type": "string"
                      },
                      "monitorId": {
                        "format": "uuid",
                        "type": "string"
                      },
                      "notificationStatus": {
                        "nullable": true,
                        "type": "object"
                      },
                      "reservedCredits": {
                        "nullable": true,
                        "type": "integer"
                      },
                      "scheduledFor": {
                        "format": "date-time",
                        "nullable": true,
                        "type": "string"
                      },
                      "startedAt": {
                        "format": "date-time",
                        "nullable": true,
                        "type": "string"
                      },
                      "status": {
                        "enum": [
                          "queued",
                          "running",
                          "completed",
                          "failed",
                          "partial",
                          "skipped_overlap"
                        ],
                        "type": "string"
                      },
                      "summary": {
                        "properties": {
                          "changed": {
                            "type": "integer"
                          },
                          "error": {
                            "type": "integer"
                          },
                          "new": {
                            "type": "integer"
                          },
                          "removed": {
                            "type": "integer"
                          },
                          "same": {
                            "type": "integer"
                          },
                          "totalPages": {
                            "type": "integer"
                          }
                        },
                        "type": "object"
                      },
                      "targetResults": {
                        "nullable": true,
                        "type": "array"
                      },
                      "trigger": {
                        "enum": [
                          "scheduled",
                          "manual"
                        ],
                        "type": "string"
                      },
                      "updatedAt": {
                        "format": "date-time",
                        "type": "string"
                      }
                    },
                    "type": "object"
                  },
                  {
                    "properties": {
                      "next": {
                        "description": "URL para buscar a próxima página de resultados de páginas da verificação do monitor, se houver.",
                        "nullable": true,
                        "type": "string"
                      },
                      "pages": {
                        "items": {
                          "properties": {
                            "createdAt": {
                              "format": "date-time",
                              "type": "string"
                            },
                            "currentScrapeId": {
                              "format": "uuid",
                              "nullable": true,
                              "type": "string"
                            },
                            "diff": {
                              "description": "Artefato de diff embutido quando a página foi alterada. A estrutura depende do que `scrapeOptions.formats` do monitor solicitou. Monitores somente com Markdown preenchem `text` (diff unificado) e `json` (AST do parseDiff). Monitores de extração JSON preenchem `json` como um mapa por campo de `{previous, current}` indexado pelo caminho JSON. Monitores em modo misto (`changeTracking` com os modos `json` e `git-diff`) preenchem `text` (sidecar em markdown) e `json` (diff por campo).",
                              "nullable": true,
                              "properties": {
                                "json": {
                                  "description": "Para monitores somente com markdown, um AST do parseDiff `{ files: [...] }`. Para monitores de extração JSON (e em modo misto), um mapa por campo de `{ previous, current }` indexado pelo caminho JSON na extração (por exemplo, `plans[0].price`).",
                                  "type": "object"
                                },
                                "text": {
                                  "description": "Diff unificado em markdown. Presente em monitores somente com markdown e em monitores em modo misto.",
                                  "type": "string"
                                }
                              },
                              "type": "object"
                            },
                            "error": {
                              "nullable": true,
                              "type": "string"
                            },
                            "id": {
                              "format": "uuid",
                              "type": "string"
                            },
                            "judgment": {
                              "nullable": true,
                              "properties": {
                                "confidence": {
                                  "enum": [
                                    "high",
                                    "medium",
                                    "low"
                                  ],
                                  "type": "string"
                                },
                                "meaningful": {
                                  "description": "Indica se a página alterada é relevante para o objetivo do monitor.",
                                  "type": "boolean"
                                },
                                "meaningfulChanges": {
                                  "description": "Mudanças relevantes para o objetivo selecionadas pelo avaliador com base no diff da página.",
                                  "items": {
                                    "properties": {
                                      "after": {
                                        "nullable": true,
                                        "type": "string"
                                      },
                                      "before": {
                                        "nullable": true,
                                        "type": "string"
                                      },
                                      "reason": {
                                        "type": "string"
                                      },
                                      "type": {
                                        "enum": [
                                          "added",
                                          "removed",
                                          "changed"
                                        ],
                                        "type": "string"
                                      }
                                    },
                                    "type": "object"
                                  },
                                  "type": "array"
                                },
                                "reason": {
                                  "type": "string"
                                }
                              },
                              "type": "object"
                            },
                            "metadata": {
                              "description": "Metadados extras por página. Para monitores de busca, isso inclui `searchStatus`, a classificação de busca mais detalhada por trás do `status` de nível superior: `alert` (corresponde a `new`), `already_seen`, `watching`, `ignored` (todos correspondem a `same`) ou `skipped` (corresponde a `error`).",
                              "nullable": true,
                              "type": "object"
                            },
                            "previousScrapeId": {
                              "format": "uuid",
                              "nullable": true,
                              "type": "string"
                            },
                            "snapshot": {
                              "description": "Snapshot da extração JSON atual nesta execução. Presente em monitores de extração JSON e em modo misto; ausente em monitores somente com markdown.",
                              "nullable": true,
                              "properties": {
                                "json": {
                                  "description": "O JSON estruturado completo extraído nesta execução, correspondente ao schema/prompt declarado no formato `changeTracking` do alvo.",
                                  "type": "object"
                                }
                              },
                              "type": "object"
                            },
                            "status": {
                              "enum": [
                                "same",
                                "new",
                                "changed",
                                "removed",
                                "error"
                              ],
                              "type": "string"
                            },
                            "statusCode": {
                              "nullable": true,
                              "type": "integer"
                            },
                            "targetId": {
                              "type": "string"
                            },
                            "url": {
                              "format": "uri",
                              "type": "string"
                            }
                          },
                          "type": "object"
                        },
                        "type": "array"
                      }
                    },
                    "type": "object"
                  }
                ]
              },
              "next": {
                "description": "URL para buscar a próxima página de resultados de páginas da verificação do monitor, se houver.",
                "nullable": true,
                "type": "string"
              },
              "success": {
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "Detalhes da verificação de monitor"
    },
    "404": {
      "description": "Verificação de monitor não encontrada"
    }
  }
}
```
